> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops List Batches

> Name and signature indicate it returns tx ops list batches

Required scope: `payments:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/tx-ops-list-batches
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-list-batches:
    get:
      operationId: txOpsListBatches
      summary: Tx Ops List Batches
      x-toku-required-scope: payments:read
      description: |-
        Name and signature indicate it returns tx ops list batches

        Required scope: `payments:read`
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - DRAFT
              - IN_PROGRESS
              - COMPLETED
              - CANCELLED
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsListBatchesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsListBatchesResponse:
      type: object
      properties:
        batches:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              executionMode:
                type:
                  - string
                  - 'null'
              batchID:
                type:
                  - string
                  - 'null'
              name:
                type:
                  - string
                  - 'null'
              module:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              intentCount:
                type:
                  - number
                  - 'null'
              createdAt:
                type:
                  - string
                  - 'null'
              batchAssets:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  properties:
                    networkChainID:
                      type:
                        - string
                        - 'null'
                    networkName:
                      type:
                        - string
                        - 'null'
                    networkType:
                      type:
                        - string
                        - 'null'
                    tokenAddress:
                      type:
                        - string
                        - 'null'
                    tokenSymbol:
                      type:
                        - string
                        - 'null'
                    tokenDecimals:
                      type:
                        - number
                        - 'null'
        total:
          type:
            - number
            - 'null'
        page:
          type:
            - number
            - 'null'
        pageSize:
          type:
            - number
            - 'null'
        totalPages:
          type:
            - number
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
